Bug 248457 - Review Request: perl-Devel-Profiler - Perl profiler compatible with dprofpp
Review Request: perl-Devel-Profiler - Perl profiler compatible with dprofpp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 16:50 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 15:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-16 16:50:39 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Devel-Profiler/perl-Devel-Profiler.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Devel-Profiler-0.04-2.src.rpm
Description:
This module implements a Perl profiler that outputs profiling data in a
format compatible with dprofpp, Devel::DProf's profile analysis tool. It is
meant to be a drop-in replacement for Devel::DProf.
Comment 1 Parag AN(पराग) 2007-07-20 02:27:44 EDT
got following make test result
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01basic.........ok
t/02die...........ok
t/03goto..........main::goto_bar has 1 unstacked calls in outer
main::bar has -1 unstacked calls in outer
ok
t/04crash.........ok
t/05packages......ok
t/06caller........ok
t/07constants.....ok
t/08fork..........ok
t/09fcntl.........ok
t/10autoload......ok
        6/6 skipped: profiling AUTOLOAD not working yet
t/11sub_filter....ok
All tests successful, 6 subtests skipped.

some tests got skipped
Comment 2 Steven Pritchard 2007-07-20 12:53:01 EDT
(In reply to comment #1)
> some tests got skipped

Those tests are marked "skip", so that's normal.

  SKIP: {
  
  skip("profiling AUTOLOAD not working yet", 6);
  ...
Comment 3 Parag AN(पराग) 2007-07-20 23:29:58 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c52d615e3083defd2c71726f21b2127a  Devel-Profiler-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01basic.........ok
t/02die...........ok
t/03goto..........main::goto_bar has 1 unstacked calls in outer
main::bar has -1 unstacked calls in outer
ok
t/04crash.........ok
t/05packages......ok
t/06caller........ok
t/07constants.....ok
t/08fork..........ok
t/09fcntl.........ok
t/10autoload......ok
        6/6 skipped: profiling AUTOLOAD not working yet
t/11sub_filter....ok
All tests successful, 6 subtests skipped.
Files=11, Tests=56,  8 wallclock secs ( 3.40 cusr +  1.19 csys =  4.59 CPU)
+ exit 0
+Provides: perl(Devel::Profiler) = 0.04 perl(Devel::Profiler::Apache) = 0.01
perl(Devel::Profiler::Test) = 0.01
+Requires: perl >= 0:5.006 perl(:MODULE_COMPAT_5.8.8) perl(B) perl(Exporter)
perl(File::Path) perl(Test::More) perl(Time::HiRes) perl(constant) perl(strict)
perl(warnings)
APPROVED.
Comment 4 Steven Pritchard 2007-07-21 12:29:44 EDT
New Package CVS Request
=======================
Package Name: perl-Devel-Profiler
Short Description: Perl profiler compatible with dprofpp
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Note You need to log in before you can comment on or make changes to this bug.